Subject: Re: [MMUSIC] New Version Notification for draft-ietf-mmusic-trickle-ice-sip-17.txt
From: Adam Roach <[email-masked]>
To: Thomas Stach <[email-masked]>, MMUSIC <[email-masked]>, Christer Holmberg <[email-masked]>, Enrico Marocco <[email-masked]>, Emil Ivov <[email-masked]>
Date: Fri, 22 Jun 2018 15:45:59 -0500
List-Id: Multiparty Multimedia Session Control Working Group <mmusic.ietf.org>

I've cleared my DISCUSS on the document. As one minor note, it appears 
that this comment from my review has not yet been addressed:

> §4.4:
>
> >     a=candidate:2 1 UDP 1694498815 2001:db8:a0b:12f0::3 5000 typ srflx
> >         raddr 2001:db8:a0b:12f0::1 rport 8998
>
> Thanks for the IPv6 example; however, I have a *lot* of heartburn with the
> selection of an example that demonstrates IPv6 NAT behavior. Since 
> ICE's srflx
> behavior is fundamentally tied to IPv4 NATs (and should not be an 
> issue with
> IPv6, as NATs are unnecessary), I think it's okay for the srvflx 
> examples to go
> ahead and show IPv4 addresses.
>
> I *really* don't want to publish an RFC that demonstrates NATting of IPv6

As the most recent version of the document still contains:

       a=candidate:2 1 UDP 1694498815 2001:db8:a0b:12f0::3 5000 typ srflx
           raddr 2001:db8:a0b:12f0::1 rport 8998

Was this intentional or an oversight?

/a